# $Revision: 1.21 $, $Date: 2010/09/21 19:00:00 $
Summary:	Building Interfaces the easy way
Summary(pl.UTF-8):	Tworzenie interfejsów w łatwy sposób
Name:		gazpacho
Version:	0.7.2
Release:	4
License:	LGPL
Group:		Development/Building
Source0:	http://ftp.acc.umu.se/pub/GNOME/sources/gazpacho/0.7/%{name}-%{version}.tar.bz2
# Source0-md5:	ca9c3c308a63194e6dcec3c932c98fbc
Patch0:		%{name}-desktop.patch
URL:		http://gazpacho.sicem.biz/
BuildRequires:	python-devel
BuildRequires:	sed >= 4.0
BuildRequires:	python-kiwi
Requires:	python-pygtk-gtk >= 1:2.6.0
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	AUTHORS CONTRIBUTORS COPYING

%description
This program allows you to create the Graphical User Interface (GUI)
of your GTK+ program in a visual way. It started as a Glade-3 clone
but now it is more complete and featured than its ancestor. It tries
to be compatible with libglade but it can handle some widgets that
still lack support in libglade.

%description -l pl.UTF-8
Ten program pozwala tworzyć graficzny interfejs użytkownika (GUI) dla
programów GTK+ w sposób wizualny. Z początku był klonem Glade-3, ale w
chwili obecnej jest bardziej zaawansowany od swojego przodka. Gazpacho
stara się być kompatybilnym z libglade, choć zawiera kilka kontrolek
wciąż nie wspieranych przez libglade.

%prep
%setup -q
#%patch0 -p1

sed -i	-e "s/from gazpacho import application//" \
	-e "s/application.__version__/'%{version}'/" \
	setup.py

#sed -i	-e "s@return self._variables\['docs_dir'\]\[0\]@return '/usr/share/doc/%{name}-%{version}/'@" gazpacho/environ.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_pixmapsdir}}

%{__python} setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir}/gazpacho -name '*.py' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install pixmaps/gazpacho-icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/gazpacho.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
if [ $1 = 0 ]; then
    umask 022
    [ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
# do not remove COPYING -- needed at runtime
%doc AUTHORS COPYING CONTRIBUTORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gazpacho
%{py_sitescriptdir}/gazpacho
%{_desktopdir}/*.desktop
%{_examplesdir}/%{name}-%{version}
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gazpacho.spec,v $
Revision 1.21  2010/09/21 19:00:00  glen
- release 4

Revision 1.20  2010/07/09 11:15:42  arekm
- release 3

Revision 1.19  2010/07/08 07:49:04  arekm
- release 2

Revision 1.18  2010/01/01 22:33:02  sparky
- BR capitalization

Revision 1.17  2009/03/13 22:33:59  hawk
- in Titanium for looong time and no complaints, release 1

Revision 1.16  2007/11/17 03:10:34  wolvverine
- corect last commit

Revision 1.15  2007-11-17 02:23:41  wolvverine
- up to 0.7.2

Revision 1.14  2007-04-05 15:08:27  czarny
- up to 0.7.1

Revision 1.13  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.11  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.10  2006/07/21 22:11:51  darekr
- BR: sed 4

Revision 1.9  2006/03/17 15:43:44  freetz
- 0.6.5

Revision 1.8  2006/01/22 10:14:22  ankry
- desktop patch updated, rel. 2, STBR

Revision 1.7  2006/01/12 22:17:44  freetz
- 0.6.4

Revision 1.6  2006/01/06 22:09:28  freetz
- 0.6.3

Revision 1.5  2005/10/26 18:59:15  freetz
- one more typo

Revision 1.4  2005/10/26 18:56:13  freetz
- fixed postun script (sorry about that!), rel.3

Revision 1.3  2005/10/26 08:16:40  freetz
- don't run update-desktop-database twice

Revision 1.2  2005/10/26 08:13:23  freetz
- desktop patch added, place icon in generic location, remove unpackaged
  files, run update-desktop-database if found, rel.2

Revision 1.1  2005/09/08 15:43:19  wolf
- new
